## START: Set by rpmautospec
## (rpmautospec version 0.3.0)
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 4;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global goipath     github.com/radovskyb/watcher
%global tag         v1.0.7

%gometa

%global common_description %{expand:
watch for files or directory changes without using filesystem events.}

%global golicenses    LICENSE
%global godocs        *.md

Name:       %{goname}
Version:    1.0.7
Release:    %autorelease
Summary:    watch for files or directory changes without using filesystem events
License:    BSD
URL:        %{gourl}
Source:     %{gosource}

BuildRequires: go-rpm-macros

%description
%{common_description}

%gopkg

%prep
%goprep

%install
%gopkginstall

%check
%gocheck

%gopkgfiles

%changelog
* Thu Jan 19 2023 Fedora Release Engineering <releng@fedoraproject.org> 1.0.7-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Thu Jul 21 2022 Fedora Release Engineering <releng@fedoraproject.org> 1.0.7-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Tue Jun 07 2022 Mark E. Fuller <mark.e.fuller@gmx.de> 1.0.7-1
- initial commit
